#
# spec file for package 
#
# Copyright (c) 2015 Walter Fey, DL8FCL
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2013 LISA GmbH, Bingen, Germany.
# Copyright (c) 2005-2010 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _menus	/kde4/services/ServiceMenus
%define _menus5 /kservices5/ServiceMenus

Name:           kim
Version:        0.9.5
Release:        5.1
License:        GPL-2.0+
Summary:        A very useful images Kde servicemenu
Url:            http://bouveyron.free.fr/kim/
Group:          Productivity/Graphics/Convertors
Source:         kim4-%{version}.tar.gz
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         kim-icons-fix-and-de-translation.diff
BuildRequires:  dos2unix
BuildRequires:  kdelibs4-core
Requires:       ImageMagick
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Kim is a kde service menu which allows to resize, convert, rotate, ( ...) your
images without to use a graphical application like Gimp! This service menu can
be considered as a frontend of ImageMagick.

Main features of Kim:
Compress and resize
    * Compress to 70%, 80%, 90% or other,
    * Resize to 300x225, 600x450, 800x600, 1024x768, 1200x900 px or other,
    * Resize and compress for the web.

Convert and rotate
    * Convert in JPG, PNG, GIF, TIFF or other,
    * Rotate images.

Treatment and publication
    * Rename images,
    * Convert in grayscale,
    * Add a whith or black border,
    * Watermarck images,
    * Send by mail resized images.

%prep
%setup -q -n kim4
%patch0 -p1

dos2unix     manual/work.css
chmod 644 manual/work.css

rm src/bin/*~

%build

%install

install -dm 755 %{buildroot}%{_datadir}%{_menus}
install -m 644 src/kim_*.desktop %{buildroot}%{_datadir}%{_menus}

%if 0%{suse_version} == 1315 || 0%{suse_version} > 1320
install -dm 755 %{buildroot}%{_datadir}%{_menus5}
ln -s %{_datadir}%{_menus}/kim_compressandresize.desktop %{buildroot}/%{_datadir}%{_menus5}/kim_compressandresize.desktop
ln -s %{_datadir}%{_menus}/kim_convertandrotate.desktop %{buildroot}/%{_datadir}%{_menus5}/kim_convertandrotate.desktop
ln -s %{_datadir}%{_menus}/kim_publication.desktop %{buildroot}/%{_datadir}%{_menus5}/kim_publication.desktop
%endif

install -dm 755 %{buildroot}%{_bindir}
install -m 755 src/bin/kim_* %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_datadir}/kim/slideshow
install -m 644 src/slideshow/* %{buildroot}%{_datadir}/kim/slideshow

install -dm 755 %{buildroot}%{_datadir}/kim/gallery
install -m 644 src/gallery/* %{buildroot}%{_datadir}/kim/gallery

%kde_post_install


%post
for i in imageconverter jpegorient; do
	if [ -e %{_datadir}%{_menus}/$i.desktop ]; then
		mv %{_datadir}%{_menus}/$i.desktop \
			%{_datadir}%{_menus}/$i.desktop~ 2> /dev/null
	fi
done

%postun
for i in imageconverter jpegorient; do
	if [ -e %{_datadir}/%{_menus}/$i.desktop~ ]; then
		mv %{_datadir}/%{_menus}/$i.desktop~ \
			%{_datadir}/%{_menus}/$i.desktop 2> /dev/null
	fi
done

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc manual/*
%{_bindir}/kim*
%{_datadir}/%{_menus}/kim_compressandresize.desktop
%{_datadir}/%{_menus}/kim_convertandrotate.desktop
%{_datadir}/%{_menus}/kim_publication.desktop
%{_datadir}/kim/

%if 0%{suse_version} == 1315 || 0%{suse_version} > 1320
%dir %{_datadir}/kservices5
%{_datadir}/%{_menus5}/
%endif

%changelog
* Sat Nov 21 2015 dl8fcl@t-online.de
- make kim available for kde5 by installing desktop files also
  to /usr/share/kservices5/ServiceMenus/
* Thu Feb 14 2013 hpj@urpla.net
- overhaul spec and changelog, cleanup for submit
* Sun Feb 10 2013 hpj@urpla.net
- apply icons fix and add german translation
* Sun Jan  3 2010 toni@links2linux.de
- rebuild for kde4 only (kde3-pim is now in package kde3-kim)
* Sun Aug  3 2008 toni@links2linux.de
- added kde4-kim sub-package
* Mon Dec 25 2006 toni@links2linux.de
- update to 0.9.5
- dropped sub-package kim-plugins
* Sun Nov 12 2006 toni@links2linux.de
- update to 0.9.4
* Sat Sep 16 2006 toni@links2linux.de
- build for packman
- update to 0.9.3
* Sat Sep  9 2006 oc2pus@arcor.de
- update to 0.9.2
* Mon May  1 2006 oc2pus@arcor.de
- update to 0.9.1
* Fri Mar 31 2006 oc2pus@arcor.de
- update to 0.9.0
* Thu Feb  9 2006 oc2pus@arcor.de
- update to 0.8.4
- kipi-plugins added in Requirements (images2mpg)
* Wed Jan 25 2006 oc2pus@arcor.de
- update to 0.8.3
* Mon Jan 23 2006 oc2pus@arcor.de
- update to 0.8.2
* Wed Aug 24 2005 oc2pus@arcor.de
- corrected dependencies
* Mon Aug 22 2005 oc2pus@arcor.de
- update to 0.8.1
* Tue May 31 2005 oc2pus@arcor.de
- update to 0.8
* Sun Jan  9 2005 oc2pus@arcor.de
- include german patches
* Fri Jan  7 2005 oc2pus@arcor.de
- update to 0.7
* Thu Dec 23 2004 oc2pus@arcor.de
- build for SuSE-9.2
* Tue Dec 21 2004 oc2pus@arcor.de
- added german translations from Manfred Timm
* Sun Dec 19 2004 oc2pus@arcor.de
- update to 0.6.1
* Thu Nov  4 2004 oc2pus@arcor.de
- initial build for apt-repository
